KNOWLEDGE BASE

Error 4D78F526 "The drivers required to connect to the data source are not installed..." Occurred When Connecting to Amazon Aurora for MySQL on macOS


Published: 24 Nov 2022
Last Modified Date: 25 Nov 2022

Issue

When connecting to Amazon Aurora for MySQL with the driver installed from Tableau Desktop/ Tableau Prep on macOS, the below error occurred. 

-----------------------------------------------
An error occurred while communicating with Amazon Aurora for MySQL
The drivers required to connect to the data source are not installed.
Note that you might need to make local configuration changes to resolve the error. 
Error Code: 4D78F526
[iODBC][Driver Manager]dlopen(ODBC, 0x0006): tried: '/Applications/Tableau Desktop 2021.4.app/Contents/MacOS/../Frameworks/ODBC' (no such file), '/Applications/Tableau Desktop 2021.4.app/Contents/MacOS/ODBC' (no such file), 'ODBC' (relative path not allow
[iODBC][Driver Manager]Specified driver could not be loaded​
-----------------------------------------------

Environment

  • Tableau Desktop 2022.2.3 and older
  • Tableau Prep Builder 2022.2 and older
  • Amazon Aurora for MySQL
  • macOS Monterey 12.6+
  • macOS With M1 Processor

Resolution

Please check the Tableau version and driver version as below.

1. When downloading MySQL drivers from the MySQL site, please install MySQL driver for Intel processor (macOS 12 (x86, 64-bit)) because MySQL driver for M1 processor (macOS 12 (ARM, 64-bit)) won't work with Intel-based Tableau Desktop / Tableau Prep Builder.
https://dev.mysql.com/downloads/connector/odbc/
User-added image

2. Please download Tableau 2022.3 or newer that supports macOS Monterey.

Cause

The driver and the version of Tableau installed are not compatible.
 
Did this article resolve the issue?